Bug 8040 - сломана непрерывность dist-upgrade между pkg-config-0.19-alt1 и pkgconfig-0.17.2-alt2
: сломана непрерывность dist-upgrade между pkg-config-0.19-alt1 и pkgconfig-0.1...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pkgconfig)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-23 12:48 by
Modified: 2006-06-07 12:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-23 12:48:28
Голые факты:

$ rpm -qv pkg-config
pkg-config-0.19-alt1
$ rpm -qv pkgconfig
предупреждение: пакет pkgconfig не установлен

$ apt-cache showpkg pkgconfig
Package: pkgconfig
Versions: 
1:0.17.2-alt2(/var/lib/apt/lists/ftp.altlinux.com_pub_distributions_ALTLinux_Sisyphus_i586_base_pkglist.classic)
<skip />
Provides: 
1:0.17.2-alt2 - /usr/lib/pkgconfig 
Reverse Provides: 
pkg-config 0.19-alt1

$ ls -al
/var/lib/apt/lists/ftp.altlinux.com_pub_distributions_ALTLinux_Sisyphus_i586_base_pkglist.classic
-rw-r--r--  1 root root 17680720 Сен 21 22:13
/var/lib/apt/lists/ftp.altlinux.com_pub_distributions_ALTLinux_Sisyphus_i586_base_pkglist.classic

# apt-get dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
0 upgraded, 0 newly installed, 0 removed and 0 not upgraded.

# apt-get install pkgconfig
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages will be REMOVED:
  pkg-config
The following NEW packages will be installed:
  pkgconfig
0 upgraded, 1 newly installed, 1 removed and 1 not upgraded.
Need to get 39.2kB of archives.
After unpacking 8522B disk space will be freed.
Do you want to continue? [Y/n]
------- Comment #1 From 2005-09-23 14:28:24 -------
Эта ситуация не из-за pkgconfig:

$ rpmquery -p --provides Sisyphus/files/i586/RPMS/pkg-config-0.19-alt1.i586.rpm 
pkgconfig = 0.19
pkg-config = 0.19-alt1

Из-за этого apt'у становится плохо. Видимо придется вообще убрать pkg-config из
Сизифа до его починки. Я очень не хотел это делать, но видимо придется.
------- Comment #2 From 2006-06-07 12:13:33 -------
Проблема в Sisyphus больше не актуальна, насколько я понимаю.
------- Comment #3 From 2006-06-07 12:27:49 -------
(In reply to comment #2)
> Проблема в Sisyphus больше не актуальна, насколько я понимаю.

Наверное, да.